Checkio API
get/{tenantId}/v1/locations/recent-searches

Get recent searches

Requires Authentication
Locations

Returns recent postcode lookup searches

Path Parameters

NameTypeDescription
tenantId
required
string (uuid)Tenant UUID

Query Parameters

NameTypeDescription
dateFrom
required
string (date)Start date for the query range (ISO 8601 format, e.g., 2024-01-01 or 2024-01-01T00:00:00Z)
dateTo
required
string (date)End date for the query range (ISO 8601 format, e.g., 2024-01-31 or 2024-01-31T23:59:59Z)
limit
integerMaximum number of results to return (default 20, max 100)Default: 20

Responses

Recent searches

Response Bodyapplication/json
searches
array
RecentSearch[]
RecentSearch

Code Examples

curl -X GET 'https://api-next.checkio.co.uk/{tenantId}/v1/locations/recent-searches?dateFrom={dateFrom}&dateTo={dateTo}' \
  -H 'Authorization: Bearer {token}'